#!/usr/bin/env python
#coding: utf-8

import sys,re

_version = None

if len(sys.argv) > 1 and sys.argv[1] != 'clean':
    
    try:
        f=open('config.h').readlines()
    except:
        print "Please run configure first"
        exit(1)
        
    
    for a in f:
        r=re.match(r'^#define\s+PACKAGE_VERSION\s+"(.*)"',a.strip())
        if r:
            _version=r.group(1)
            break
    if not _version:
        print "Package not configured"
        sys.exit(1)

from distutils.core import setup, Extension

module1 = Extension('sapilektor',
                    sources = ['pysapilektor.c'],
                    libraries = ['sapilektor'])

setup (name = 'sapilektor',
       version = _version,
       description = 'Sapi4Linux Python interface',
       ext_modules = [module1])
